PERFMETER(1)

NAME
perfmeter - display system performance values in a meter or strip chart

SYNOPSIS
perfmeter [ -s sample-time ] [ -h h-hand-int ]
[ -m m-hand-int ] [ -M smax minmax maxmax ]
[ -v value ] [ hostname ]

AVAILABILITY

This command is available with the SunView User's software installation option. Refer to for information on how to install optional software.

DESCRIPTION
perfmeter is a SunView utility that displays performance values (statistics) for a given hostname. If no host is specified, statistics on the current host are metered. The rstatd(8C) daemon must be running on the machine being metered.

When open, perfmeter displays a performance value in the form of a strip chart. When closed, it displays a meter dial. By default, the display is updated with a sample-time of 2 seconds. The hour hand of the meter represents the average over a 20-second interval; the minute hand, the average over 2 seconds. The default value displayed is the percent of CPU being utilized.

The maximum scale value for the strip chart will automatically double or halve to accommodate increasing or decreasing values for the host machine. This scale can be restricted to a certain range with the -M option.

OPTIONS

-s sample-time
    Set the sample time to sample-time seconds.

-h h-hand-int
    Set the hour-hand interval to h-hand-int seconds.

-m m-hand-int
    Set the minute hand interval to m-hand-int seconds.

-M smax minmax maxmax
    Set a range of maximum values for the strip chart. Values for each of the arguments should be powers of 2. smax sets the starting maximum-value. minmax sets the lowest allowed maximum-value for the scale. maxmax sets the highest allowed maximum-value.

-v value
    Set the performance value to be monitored to one of:

    cpu Percent of CPU being utilized.

    pkts
        Ethernet packets per second.

    page
        Paging activity in pages per second.

    swap
        Jobs swapped per second.

    intr
        Number of device interrupts per second.

    disk
        Disk traffic in transfers per second.

    cntxt
        Number of context switches per second.

    load
        Average number of runnable processes over the last minute.

    colls
        Collisions per second detected on the ethernet.

    errs
        Errors per second on receiving packets.

USAGE

  Commands

You can change the statistic being displayed by clicking the RIGHT mouse button, and then choosing the desired menu item. The other meter parameters can be modified by moving the pointer onto the tool (either open or closed), and typing:

    m   Decrease minutehandintv by one

    M   Increase minutehandintv by one

    h   Decrease hourhandintv by one

    H   Increase hourhandintv by one

    1-9 Set sampletime to a range from 1 to 9 seconds.

FILES
/etc/inetd.conf
    starts statistics server

SEE ALSO
sunview(1), netstat(8C), rstatd(8C), vmstat(8)